# Summary
- [Introduction](./01-introduction.md)
- [Installation](./02-installation.md)
    - [Configuration](./021-configuration.md)
- [Get Started](./start/index.md)
    - [Xvc for Data](./start/data.md)
    - [Xvc for Machine Learning](./start/ml.md)
    - [Xvc for Software Developers](./start/developer.md)
    - [Xvc for Everyone](./start/everyone.md)
- [How-To Guides](./how-to/index.md)
    - [How to Compile Xvc](./how-to/compile.md)
- [Command Reference](./ref/xvc.md)
    - [xvc init](./ref/xvc-init.md)
    - [File Management (xvc file)](./ref/xvc-file.md)
        - [xvc file track](./ref/xvc-file-track.md)
        - [xvc file list](./ref/xvc-file-list.md)
        - [xvc file hash](./ref/xvc-file-hash.md)
        - [xvc file checkout](./ref/xvc-file-checkout.md)
        - [xvc file push](./ref/xvc-file-push.md)
        - [xvc file fetch](./ref/xvc-file-fetch.md)
        - [xvc file pull](./ref/xvc-file-pull.md)
    - [Data-Model Pipelines (xvc pipeline)](./ref/xvc-pipeline.md)
        - [xvc pipeline new](./ref/xvc-pipeline-new.md)
        - [xvc pipeline list](./ref/xvc-pipeline-list.md)
        - [xvc pipeline step](./ref/xvc-pipeline-step.md)
        - [xvc pipeline run](./ref/xvc-pipeline-run.md)
        - [xvc pipeline delete](./ref/xvc-pipeline-delete.md)
        - [xvc pipeline export](./ref/xvc-pipeline-export.md)
        - [xvc pipeline import](./ref/xvc-pipeline-import.md)
        - [xvc pipeline update](./ref/xvc-pipeline-update.md)
        - [xvc pipeline dag](./ref/xvc-pipeline-dag.md)
    - [Remotes](./ref/xvc-remote.md)
        - [xvc remote list](./ref/xvc-remote-list.md)
        - [xvc remote remove](./ref/xvc-remote-remove.md)
        - [xvc remote new](./ref/xvc-remote-new.md)
            - [xvc remote new local](./ref/xvc-remote-new-local.md)
            - [xvc remote new generic](./ref/xvc-remote-new-generic.md)
            - [xvc remote new s3](./ref/xvc-remote-new-s3.md)
            - [xvc remote new gcs](./ref/xvc-remote-new-gcs.md)
            - [xvc remote new minio](./ref/xvc-remote-new-minio.md)
            - [xvc remote new r2](./ref/xvc-remote-new-r2.md)
            - [xvc remote new wasabi](./ref/xvc-remote-new-wasabi.md)
            - [xvc remote new digital-ocean](./ref/xvc-remote-new-digital-ocean.md)
    - [Utilities](./ref/utilities.md)
        - [xvc root](./ref/xvc-root.md)
        - [xvc check-ignore](./ref/xvc-check-ignore.md)
- [Rust API](./06-api.md)
- [Python API](./07-python-api.md)
- [Architecture](./arch/index.md)
    - [Arc42](./arch/arc42.md)
    - [Introduction and Goals](./arch/intro.md)
    - [Constraints](./arch/constraints.md)
    - [System Scope and Context](./arch/scope.md)
    - [Solution Strategy](./arch/solution.md)
    - [Building Blocks](./arch/building.md)
    - [Runtime View](./arch/runtime.md)
    - [Deployment View](./arch/deployment.md)
    - [Cross-Cutting Concepts](./arch/crosscut.md)
    - [Architecture Decisions](./arch/decisions.md)
    - [Quality Requirements](./arch/quality-req.md)
    - [Risks and Technical Debt](./arch/risks-and-debt.md)
    - [Glossary](./arch/glossary.md)
    - [Xvc ECS](./arch/ecs.md)
    - [Comparisons](./arch/delta.md)
    - [Remotes](./arch/remotes.md)
- [Concepts](./concepts/index.md)
    - [Digest](./concepts/digest.md)
    - [Associated Digest](./concepts/associated-digest.md)
- [Conventions](./20-conventions.md)
